# Interface Decal

public interface Decal
Like an Icon but less complicated.

Since:
  12 Feb 2013
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isOpaque()`
Reports whether this decal is known to do only opaque drawing.
`void`
`paintDecal(Graphics g)`
Paints some content onto a given Graphics context.

## Method Details

### paintDecal

void paintDecal(Graphics g)
Paints some content onto a given Graphics context. No position is supplied, so it's implicitly placed at the origin.

Parameters:
  `g` - graphics context

### isOpaque

boolean isOpaque()
Reports whether this decal is known to do only opaque drawing.

Returns:
  true if no transparent drawing will be done